# Generated by go2rpm 1.2
%bcond_without check

# Distro completion files dir
%define completion_dir %(pkg-config --variable=completionsdir bash-completion)
%if "%{completion_dir}" == ""
%define completion_dir /etc/bash_completion.d/
%endif

# https://github.com/zaquestion/lab
%global goipath         github.com/zaquestion/lab
# prerelease versioning scheme (should be dropped once released):
# <version>-<release>.<date>git<short-commit>.<dist>
#%%global commit		0b0cdda314a0acd616d8c985f179499470d32abe
Version:        0.25.1

%gometa

%global common_description %{expand:
Lab wraps Git or Hub, making it simple to clone, fork, and interact with
repositories on GitLab.}

%global golicenses      LICENSE
%global godocs          docs README.md CONTRIBUTING.md

Name:           lab
Release:        1%{?dist}
Summary:        Lab wraps Git or Hub, making it simple to clone, fork, and interact with repositories on GitLab

# Upstream license specification: CC0-1.0
License:        CC0
URL:            %{gourl}
Source0:        %{gosource}
Source1:	lab.bash_completion

BuildRequires:	golang(github.com/araddon/dateparse)
BuildRequires:	golang(github.com/avast/retry-go) = 3.0.0
BuildRequires:	golang(github.com/charmbracelet/glamour)
BuildRequires:	golang(github.com/go-git/go-billy) = 5.3.1
BuildRequires:	golang(github.com/rivo/tview)
BuildRequires:	golang(github.com/rsteube/carapace) = 0.8.4
BuildRequires:	golang(github.com/tcnksm/go-gitconfig) = 0.1.2
BuildRequires:	golang(github.com/xanzy/go-gitlab) = 0.51.0
BuildRequires:  golang(github.com/jaytaylor/html2text)
BuildRequires:  golang(github.com/fatih/color)
BuildRequires:  golang(github.com/gdamore/tcell/v2)
BuildRequires:  golang(github.com/go-git/go-git)
BuildRequires:  golang(github.com/go-git/go-git/plumbing)
BuildRequires:  golang(github.com/lunixbochs/vtclean)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/spf13/afero)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/cobra/doc)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/spf13/viper)
BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)
BuildRequires:	golang(github.com/MakeNowJust/heredoc)
BuildRequires:	golang(github.com/whilp/git-urls)
BuildRequires:  golang(github.com/google/shlex)

Requires:	git
Provides:	%{_bindir}/%{name}

%description
%{common_description}

%gopkg

%prep
%goprep

%build
export LDFLAGS="-X \"main.version=%{version}\""
%gobuild -o %{gobuilddir}/bin/%{name} %{goipath}

%install
%gopkginstall
install -m 0755 -vd %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -m 0755 -vd %{buildroot}%{completion_dir}
install -m 0644 -vp %{SOURCE1} %{buildroot}%{completion_dir}/lab

%files
%license LICENSE
%doc docs README.md CONTRIBUTING.md
%{_bindir}/*
%{completion_dir}

%gopkgfiles

%changelog
* Mon Jul 04 2022 Bruno Meneguele <bmeneg@redhat.com> - 0.25.1-1
- Rebase to upstream release 0.25.1

* Wed Mar 23 2022 Bruno Meneguele <bmeneg@redhat.com> - 0.24.0-1
- Rebase to upstream release 0.24.0

* Tue Nov 30 2021 Bruno Meneguele <bmeneg@redhat.com> - 0.23.0-1
- Rebase to upstream release 0.23.0

* Tue Jun 01 2021 Bruno Meneguele <bmeneg@redhat.com> - 0.22.0-1
- Rebase to upstream release 0.22.0

* Tue Mar 16 2021 Bruno Meneguele <bmeneg@redhat.com> - 0.21.0-1
- Rebase to the latest, 0.21.0, upstream release

* Wed Feb 24 2021 Bruno Meneguele <bmeneg@redhat.com> - 0.20.0-1
- Rebase to the latest, 0.20.0, upstream release
- Install bash completion file by default

* Mon Jan 25 2021 Bruno Meneguele <bmeneg@redhat.com> - 0.19.0-1
- Rebase to the latest, 0.19.0, upstream release

* Thu Jan 14 2021 Bruno Meneguele <bmeneg@redhat.com> - 0.18.0-1
- Rebase to the official and fixed 0.18.0 release

* Thu Nov 05 2020 Bruno Meneguele <bmeneg@redhat.com> - 0.18.0-0.2
- Remove "git" from BuildRequires considering it was being used only for the check step
- Obsoletes 'lab-static' in case it's installed and points to an older version
- Add the executable name to "provides:" list

* Wed Nov 04 2020 Bruno Meneguele <bmeneg@redhat.com> - 0.18.0-0.1
- Update to an upstream prerelease snapshot

* Tue Nov 03 2020 Bruno Meneguele <bmeneg@redhat.com> - 0.17.2-1
- Initial package
